Bug 1284367 - [QE](6.2.z)Missing semicolons in two statements in SQL Server DB upgrade scripts
[QE](6.2.z)Missing semicolons in two statements in SQL Server DB upgrade scripts
Status: VERIFIED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Migration Tool (Show other bugs)
6.2.0
Unspecified Unspecified
high Severity medium
: CR1
: 6.2.1
Assigned To: Maciej Swiderski
Tibor Zimanyi
:
Depends On:
Blocks: 1288023
  Show dependency treegraph
 
Reported: 2015-11-23 02:37 EST by Tibor Zimanyi
Modified: 2016-01-21 09:09 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBPM-4843 Major Resolved SqlServer upgrade scripts - 2 statements miss semicolon at the end of them 2016-02-25 09:19 EST

  None (edit)
Description Tibor Zimanyi 2015-11-23 02:37:41 EST
Description of problem:

Two statements from SqlServer upgrade scripts miss semicolon at the end of them. See here [1]. The correct syntax is to end a statement with semicolon or batch of statements with GO. PR for this is here [2]. This is not blocker for 6.2.0 - See comments in PR. 

This applies for both SqlServer dialects that we have scripts for - sqlserver, sqlserver2008.

[1] https://github.com/droolsjbpm/jbpm/blob/974cad8d8a553fffe1dc0d3cfbdf7fafaca71461/jbpm-installer/db/upgrade-scripts/sqlserver2008/bpms-6.0-to-6.1.sql#L49
[2] https://github.com/droolsjbpm/jbpm/pull/344

Version-Release number of selected component (if applicable): 6.2.0.CR1
Comment 2 Maciej Swiderski 2015-12-18 12:07:19 EST
merged into 6.3.x branch

jbpm
6.3.x:
https://github.com/droolsjbpm/jbpm/commit/51e21cd7efbe62f3d950bfd7d7c7556362928073
Comment 3 JBoss JIRA Server 2015-12-21 09:20:16 EST
Maciej Swiderski <swiderski.maciej@gmail.com> updated the status of jira JBPM-4843 to Resolved
Comment 4 Radovan Synek 2016-01-21 09:09:27 EST
Verified with BPMS-6.2.1.CR1

Note You need to log in before you can comment on or make changes to this bug.